Flushes the output to the file

- « SplFileObject::eof

- SplFileObject::fgetc »

- PHP Manual
- SplFileObject
- Flushes the output to the file

# SplFileObject::fflush

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

SplFileObject::fflush — Flushes the output to the file

### Description

public SplFileObject::fflush(): bool

Forces a write of all buffered output to the file.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 SplFileObject::fflush() example

    <?php$file = new SplFileObject('misc.txt', 'r+');$file->rewind();$file->fwrite("Foo");$file->fflush();$file->ftruncate($file->ftell());?>

### See Also

- SplFileObject::fwrite() - Write to file